Add info to a DSR before processing
Before processing a new DSR, we can coordinate with your server to:
- Confirm that this request should be processed (or canceled, or put on hold).
- Obtain additional user identifiers, such as a phone number, to find the data subject with.
See the uploading enriched identifiers guide for more information.
Transcend_API_Key Manage Request Identity VerificationAuthorizationBearer <token>authorization: Bearer <>
Scope: Manage Request Identity Verification
content-type*stringSpecify content-type: application/json for a JSON response from the Transcend API.
application-jsonx-transcend-nonce*stringA reusable token sent in Transcend's webhook for this job, and returned by you when uploading the result of this job back to Transcend. Called a 'nonce' for legacy reasons, but is actually reusable.
application/json- body
enrichedIdentifiers?An object where the keys are the identifier names (i.e. email, phone, idfa, ...), and the values are a list of enriched identifiers.
status?string"CANCELED""ON_HOLD"templateId?stringWhen status is set to ON_HOLD or CANCELED, you may include the ID of a custom email template to send to the data subject.
uuidtemplateTitle?stringWhen status is set to ON_HOLD or CANCELED, you may include the title of a custom email template to send to the data subject.
Your request was received without an issue.
application/json- response
curl -X POST 'https://multi-tenant.sombra.transcend.io/v1/enrich-identifiers' \ -H 'authorization: string' \ -H 'content-type: string' \ -H 'x-transcend-nonce: string' \ -H 'Content-Type: application/json' \ -d '{ "enrichedIdentifiers": { "googleAnalyticsInternalId": [ { "value": "SOME-GOOGLE-ANALYTICS-ID" } ], "gpadvid": [ { "value": "b20f48d8-9f50-447a-a446-1d398a9f9b1b" } ] }}'{}